Skip to main content
`Ctrl`+`K`

# NEPCISSSetRefinement

Sets the values of various refinement parameters in the CISS solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSSetRefinement(NEP nep,PetscInt inner,PetscInt blsize)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- inner - number of iterative refinement iterations (inner loop)

- blsize - number of iterative refinement iterations (blocksize loop)

## Options Database Keys

- -nep_ciss_refine_inner inner - sets number of inner iterations

- -nep_ciss_refine_blocksize blsize - sets number of blocksize iterations

## Note

`PETSC_CURRENT` can be used to preserve the current value of any of the arguments, and `PETSC_DETERMINE` to set them to a default of 0 (no refinement).

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCISS`, `NEPCISSGetRefinement()`

## Level

advanced

## Location

src/nep/impls/ciss/nciss.c

## Implementations

NEPCISSSetRefinement_CISS() in src/nep/impls/ciss/nciss.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages